<?php include('casa/setup.casa.php');
$codigo_venta = substr(sha1(uniqid()),1,9);

$buscar = DataForms::GET('id');
$descrip = DataForms::GET('descrip');

include('inc_scripts.php');
$title = 'Ventas Generales - Seleccione uno o varios productos para vender';
echo "<title>".AppName.' - '.$title."</title>";
$SucCodigo = SucursalUsuario($USID);

function SucursalUsuario($us_codigo){
  $Usuario = new DB();
  $sqlUsuario = "SELECT * FROM rol_usuarios
  WHERE us_id = '$us_codigo';";
  $Usuario->dbSQL($sqlUsuario);
  $Usuario->next();
  $sucursal = $Usuario->dbField('ubica_codigo');

  return $sucursal;
}
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title.'
										<br><b>Código Venta: </b>'.$codigo_venta;?></h3>																																									
									</div>
									<div class="row">	
												<div class="col-md-6">
													<div class="form-group form-group-default">
														<label>Buscar por Item:</label>
														<input id='txtBuscar' value='<?php echo $buscar; ?>' type="text" class="form-control">
														<center><input type="button" value="BUSCAR" id='btnBuscar' class="btn btn-default"></center>
													</div>						
													
												</div>																				
											
												<div class="col-md-6">
													<div class="form-group form-group-default">
														<label>Buscar por Descripción o Nombre de Producto:</label>
														<input id='txtBuscar2' value='<?php echo $descrip; ?>' type="text" class="form-control">
														<center><input type="button" value="BUSCAR" id='btnBuscar2'  class="btn btn-default"></center>
													</div>																										
												</div>																			
											</div>  
								</div>
								
								<div class="card-body">		
																									
									<div id='Productos' class="table-responsive">
										<table id="ventas" class="display table table-striped table-hover" >
											<thead>
												<tr>													
													<!--th>N&ordm;</th-->
													<th>producto</th>
													<th>piezas disponibles</th>
													<th>precios</th>
													<th>foto</th>
													<th>cantidad</th> 
													<th>vender</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											/*
											if($TipoUsuario == "Super-Vendedor"){
												$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
												WHERE prod.ubica_codigo = ubi.ubica_codigo
												AND prod.prod_estado = '1'										
												AND prod.prod_unidadesreal > '0'
												ORDER BY prod.prod_id DESC;";
											}else{
												$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
												WHERE prod.ubica_codigo = ubi.ubica_codigo	
												AND prod.ubica_codigo = '$SucCodigo'
												AND prod.prod_estado = '1'										
												AND prod.prod_unidadesreal > '0'
												ORDER BY prod.prod_id DESC;";
											}
												*/

												if($buscar != '0'){													
													$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
													WHERE prod.ubica_codigo = ubi.ubica_codigo	
													AND prod.prod_estado = '1'	
													AND prod.prod_item LIKE('%".$buscar."%')									
													ORDER BY prod_id DESC;";	
												}else{
													if($descrip != '&nbsp;'){
														$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
														WHERE prod.ubica_codigo = ubi.ubica_codigo	
														AND prod_estado = '1'	
														AND prod.prod_nombre LIKE('%".$descrip."%')									
														ORDER BY prod_id DESC;";
													}	
												}	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
											$i++;																													
												$prod_id = $db->dbField('prod_id');
												$ubica_codigo = $db->dbField('ubica_codigo');
													$ubica_nombre = utf8_encode($db->dbField('ubica_nombre'));													
													$ubica_color = $db->dbField('ubica_color');													
														
												$prod_item = $db->dbField('prod_item');
												$prod_codigo = $db->dbField('prod_codigo');
												$prod_nombre = utf8_encode($db->dbField('prod_nombre'));
												$prod_foto = $db->dbField('prod_foto');
													if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_fecha = $db->dbField('prod_fecha');
												//Calculos
												$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
												$CantidadRealCajas = number_format($prod_unidadesreal / $prod_piezascaja,2);			
												$prod_observaciones = utf8_encode($db->dbField('prod_observaciones'));	
												  if($prod_observaciones=='') $prod_observaciones='Sin observaciones';
												$html.='<tr>';
													$html.='<td><b>'.($prod_nombre).'</b><br>
															 <small><b>Ubicaci&oacute;n:&nbsp;</b><span style="background:'.$ubica_color.';padding:3px 7px;">'.$ubica_nombre.'</span></small><br>
															 <small><b>Item: </b>'.$prod_item.'</small></td>';
													
													$html.='<td>
															  <b>Piezas Caja:</b>'.$prod_piezascaja.'<br>
															  <b>Cantidad&nbsp;Cajas:&nbsp;</b>'.$CantidadRealCajas.'<br>
															  <b>Total Piezas: </b>'.$prod_unidadesreal.'</td>';														
																									
													$html.='<td>
															  <b>p. Unitario:</b> Bs.'.$prod_preciounitario.'<br>
															  <b>p. Docena:</b> Bs.'.$prod_preciodocena.'<br>
															  <b>p.&nbsp;Caja:&nbsp;</b>&nbsp;Bs.'.$prod_preciocajadocena.'</td>';
													$html.='<td align=center><img src="'.PATH_HOME.'fotos/small_'.$prod_foto.'" width="170px"></td>';
																  
													if($prod_unidadesreal<=0){
														$html.='<td align=center><h1>sin stock</h1></td>';	
														$html.='<td align=center><h1>sin stock</h1></td>';	
													}else{																		  
														$html.='<td width="1%" align=center>
															<div class="form-group form-group-default">
																<label>Cantidad a Precio de Docena</label>
																<div id="CalcCajasUni_'.$i.'"></div>																
																<input type="number" id="PrecDoc_'.$i.'" onkeyup=CalcPrecDoc("'.$prod_piezascaja.'","'.$prod_preciodocena.'",$(this).val(),"'.$i.'") step="0.25" style="max-width:37%">
																<input type="text" id="ResPrecDoc_'.$i.'" style="max-width:40%" disabled>
																<label>Cantidad a Precio de Caja</label>
																<div id="CalcCajasDocena_'.$i.'"></div>
																<input type="number" id="PrecCajaDoc_'.$i.'" onkeyup=CalcPrecCajaDoc("'.$prod_piezascaja.'","'.$prod_preciocajadocena.'",$(this).val(),"'.$i.'") step="0.05" style="max-width:37%">
																<input type="text" id="ResPrecCajaDoc_'.$i.'" style="max-width:40%" disabled>
																<label>Precio Docena</label>
																<div id="CalcDocena_'.$i.'"></div>
																<input type="number" id="PrecDoc2_'.$i.'" onkeyup=CalcCajaDoc("'.$prod_piezascaja.'","'.$prod_preciodocena.'",$(this).val(),"'.$i.'") step="1" style="max-width:37%">
																<input type="text" id="ResDoc_'.$i.'" style="max-width:40%" disabled>
															<br><b>'.$prod_observaciones.'</b></div>
														</td>';														  															  													
														$html.="<td align='center'>
														<a href='#' onclick=Vender('".$prod_codigo."','".$i."') class='btn btn-primary' style='color:white'>
														AGREGAR</a></td>";												
													}

												$html.='</tr>';											
												
											}//wend() 
											
											echo $html;
											?>													
											</tbody>
										</table>
									</div>
									<div id='CarritoCompras'></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		<div id='res'></div>
		
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#ventas').DataTable({
		"pageLength": 2,
	});
});	

function Vender(prod,num){	
	$.post('<?php echo PATH_HOME.'ventasgrales-registrar/'. md5(uniqid()); ?>',{
	 'codigo_venta': '<?php echo $codigo_venta; ?>',
	 'prod_codigo': prod,
	 'Numtxt':num,
	 'PrecU': $('#PrecU_'+num).val(),
	 'PrecDoc': $('#PrecDoc_'+num).val(),
	 'PrecDoc2': $('#PrecDoc2_'+num).val(),	 
	 'PrecCajaDoc': $('#PrecCajaDoc_'+num).val(),
	 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
	},function(data){
		$('#res').html(data);
	}); 

	//let rnd = Math.floor(Math.random()*977);
	
}
function CalcPrecU(Precio,Cantidad,id){
	CleanText();
	let res = Precio*Cantidad;	
	$("#PrecU_"+id).val(Cantidad);
	$("#ResPrecU_"+id).val(res);
}	
function CalcPrecDoc(CantUniCaja,Precio,Cantidad,id){
	CleanText();
	let res = 12*Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecDoc_"+id).val(Cantidad);
	$("#ResPrecDoc_"+id).val(res);
	$("#CalcCajasUni_"+id).html("<b>Cantidad: </b>"+(Cantidad*12)+" unidades");	
}	
function CalcPrecCajaDoc(CantUniCaja,Precio,Cantidad,id){
	CleanText();
	let res = Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecCajaDoc_"+id).val(Cantidad);
	$("#ResPrecCajaDoc_"+id).val(res);
	$("#CalcCajasDocena_"+id).html("<b>"+CantUniCaja+" u * "+Cantidad+" cajas = "+cantCajaUni+"u</b>");	
}	
function CalcCajaDoc(CantUniCaja,Precio,Cantidad,id){	
	CleanText();
	let res = Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecDoc2_"+id).val(Cantidad);
	$("#ResDoc_"+id).val(res);
	$("#CalcDocena_"+id).html("<b>"+Cantidad+"*"+Precio+"="+res+"</b>");	
}	


function CleanText(){
	<?php
	for($x=1;$x<=$i;$x++){
		echo '$("#CalcCajasUni_'.$x.'").html("");$("#PrecU_'.$x.'").val("");$("#PrecDoc_'.$x.'").val("");$("#PrecDoc2_'.$x.'").val("");$("#PrecCajaDoc_'.$x.'").val("");$("#ResPrecU_'.$x.'").val("");
				$("#ResPrecDoc_'.$x.'").val("");$("#ResPrecCajaDoc_'.$x.'").val("");$("#CalcCajasUni_'.$x.'").html("");$("#CalcCajasDocena_'.$x.'").html("");';
	}
	?>
}
//busquedas
$('#btnBuscar').click(function(){
	let b = $('#txtBuscar').val();
	self.location = '<?php echo PATH_HOME."ventasgrales/"; ?>'+b+'&descrip=&nbsp;';
});
$('#btnBuscar2').click(function(){
	let c = $('#txtBuscar2').val();
	self.location = '<?php echo PATH_HOME."ventasgrales/0&descrip="; ?>'+c;
});
</script>